## ros-indigo-hector-gazebo-plugins 0.3.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hector_gazebo_plugins)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs std_srvs geometry_msgs nav_msgs tf dynamic_reconfigure message_generation)
include_directories(include ${catkin_INCLUDE_DIRS})

## Find gazebo
find_package(gazebo REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")
include_directories(${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})

## Find Boost
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
# )

## Generate services in the 'srv' folder
add_service_files(
  FILES
  SetBias.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES geometry_msgs
)

#add dynamic reconfigure api
generate_dynamic_reconfigure_options(
  cfg/SensorModel.cfg
  cfg/GNSS.cfg
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    DEPENDS gazebo
    CATKIN_DEPENDS roscpp std_msgs geometry_msgs nav_msgs tf message_runtime
    INCLUDE_DIRS include
    LIBRARIES
)

###########
## Build ##
###########

add_library(diffdrive_plugin_6w src/diffdrive_plugin_6w.cpp)
target_link_libraries(diffdrive_plugin_6w ${Boost_LIBRARIES} ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})

add_library(diffdrive_plugin_multi_wheel src/diffdrive_plugin_multi_wheel.cpp)
target_link_libraries(diffdrive_plugin_multi_wheel ${Boost_LIBRARIES} ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})

add_library(gazebo_ros_force_based_move src/gazebo_ros_force_based_move.cpp)
target_link_libraries(gazebo_ros_force_based_move ${Boost_LIBRARIES} ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})

add_library(hector_gazebo_reset_plugin src/reset_plugin.cpp)
target_link_libraries(hector_gazebo_reset_plugin ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})

add_library(hector_gazebo_ros_imu src/gazebo_ros_imu.cpp)
target_link_libraries(hector_gazebo_ros_imu ${Boost_LIBRARIES} ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(hector_gazebo_ros_imu ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg)

add_library(hector_gazebo_ros_magnetic src/gazebo_ros_magnetic.cpp)
target_link_libraries(hector_gazebo_ros_magnetic ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(hector_gazebo_ros_magnetic ${PROJECT_NAME}_gencfg)

add_library(hector_gazebo_ros_gps src/gazebo_ros_gps.cpp)
target_link_libraries(hector_gazebo_ros_gps ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(hector_gazebo_ros_gps ${PROJECT_NAME}_gencfg)

add_library(hector_gazebo_ros_sonar src/gazebo_ros_sonar.cpp)
target_link_libraries(hector_gazebo_ros_sonar ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(hector_gazebo_ros_sonar ${PROJECT_NAME}_gencfg)

add_library(hector_servo_plugin src/servo_plugin.cpp)
target_link_libraries(hector_servo_plugin ${Boost_LIBRARIES} ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES})

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(TARGETS
  diffdrive_plugin_6w
  diffdrive_plugin_multi_wheel
  gazebo_ros_force_based_move
  hector_gazebo_reset_plugin
  hector_gazebo_ros_imu
  hector_gazebo_ros_magnetic
  hector_gazebo_ros_gps
  hector_gazebo_ros_sonar
  hector_servo_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-hector-gazebo-plugins (0.3.8-0trusty) trusty; urgency=high

  * hector_gazebo_plugins: fixed angular rate output with non-zero rpyOffset parameter (fix #23)
  * Fix compilation errors and warnings against Gazebo 7
  * Fix
  * Compatible with gazebo7
  * [hector_gazebo_plugins] fix missing dependencies
  * Update odometry with proper covariance data
  * Updates to 2d odom
  * Basics of 2d odom
  * Add gitignore
  * Add Cmake flags for C++11
  * Make force based p gains parameters
  * Contributors: Furushchev, Johannes Meyer, Nate Koenig, Nicolae Rosia, Romain Reignier, Stefan Kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 23 Jun 2016 22:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.7-0trusty) trusty; urgency=high

  * gazebo_ros_force_based_move: Disable odom tf publishing if set in sdf params
  * gazebo_ros_force_based_move: Add plugin for applying forces based on cmd_vel input (allows simulation of tracked vehicles)
  * hector_gazebo_plugins/hector_gazebo_thermal_camera: switch to cmake configuration for gazebo and added OGRE include directories required for CameraPlugin.hh
  * Contributors: Johannes Meyer, kohlbrecher

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 06 Nov 2015 23:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.6-0trusty) trusty; urgency=high

  * allow negative offsets in SensorModel dynamic_reconfigure config
  * fixed sporadic NaN values in gazebo_ros_imu's angular_velocity output (fix #20)
  * reintroduced orientation bias due to accelerometer and yaw sensor drift
    This orientation bias was removed in 74b21b7, but there is no need for this.
    The IMU can have a mounting offset and a bias error. To remove the bias error, set the accelerationDrift and yawDrift parameters to 0.
  * interpret parameters xyzOffset and rpyOffset as pure mounting offsets and not as induced by accelerometer bias (fix #18)
    Obviously the SDF conversion assumes that all sensor plugins interpret the <xyzOffset> and <rpyOffset> parameters in the same way as an
    additional sensor link which is connected with a static joint to the real parent frame. I was not aware that this is a requirement.
    hector_gazebo_ros_imu interpreted the roll and pitch part of <rpyOffset> as an orientation offset caused by a (small) accelerometer bias.
    This patch completely removes the bias error on the orientation output in the Imu message and the orientation quaternion in the bias message
    is set to zero.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 20 Mar 2015 23:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.5-0trusty) trusty; urgency=high

  * fixed simulated IMU calibration
  * fill position_covariance in sensor_msgs/NavSatFix message from position error model in gazebo_ros_gps (fix #17)
  * added dynamic_reconfigure servers to gps, magneto and sonar plugins
    The GPS plugin allows to configure the status and server flags in the output message,
    additionally to the error characteristics. This allows to simulate GPS dropouts.
  * added dynamic_reconfigure server for IMU sensor model parameters
  * fixed invocation of sensor model in gazebo_ros_imu and gazebo_ros_sonar to also respect the scale error
  * calculate angular rate from quaternion difference directly
    This seems to be numerically more stable and removes the jitter in the angular rate signal.
  * added initial bias
  * added bias publisher to gazebo_ros_imu
    ...to compare hector_pose_estimation estimates with ground truth.
    Also renamed heading to yaw in gazebo_ros_imu and updated pseudo AHRS orientation calculation.
  * added scale error to the sensor model and removed linearization in drift update
    The scale error is assumed to be constant and its value is loaded from the scaleError plugin parameter.
    The default scale error is 1.0 (no scale error).
    The value returned by the model is (real_value * scale_error) + offset + drift + noise.
  * fixed wrong calculation of reference earth magnetic field vector if declination!=0
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 22 Feb 2015 23:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.4-0trusty) trusty; urgency=high

  * replaced old copied license header in servo_plugin.cpp
  * simplified attitude error calculation in gazebo_ros_imu (fixes #12)
  * fixed calculation of vector-valued sensor errors and sensor error model resetting with non-zero initial drift
  * linking against catkin_libraries
  * Contributors: Johannes Meyer, Markus Achtelik

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.3-0trusty) trusty; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 26 May 2014 22:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.2-0trusty) trusty; urgency=high

  * diffdrive_plugin_multi_wheel: Fix wrong whell rotation calculation (Was only half speed of desired)
  * diffdrive_plugin_multi_wheel: Optionally do not publish odometry via tf or as msg
  * Fixed boost 1.53 issues
    Replaced boost::shared_dynamic_cast with boost::dynamic_pointer_cast
  * Add servo plugin (used for vision box currently)
  * Add catkin_LIBRARIES to linking for multiwheel plugin
  * Some fixes to make diffdrive_plugin_multi_wheel work properly
  * Work in progress of a diffdrive plugin supporting multiple wheels per side
  * used updated API to get rid of warnings
  * added topicName parameter back to gazebo_ros_magnetic
  * hector_gazebo: deleted deprecated export sections from package.xml files
  * abort with a fatal error if ROS is not yet initialized + minor code cleanup
  * Contributors: Christopher Hrabia, Johannes Meyer, Richard Williams, Stefan Kohlbrecher, richardw347

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 29 Mar 2014 23:00:00 -0000

ros-indigo-hector-gazebo-plugins (0.3.1-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-hector-gazebo-plugins
Section: misc
Priority: extra
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), gazebo2, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://ros.org/wiki/hector_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-indigo-hector-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: hector_gazebo_plugins provides gazebo plugins from Team Hector.
 Currently it contains a 6wd differential drive plugin, an IMU sensor plugin, an earth magnetic field sensor plugin, a GPS sensor plugin and a sonar ranger plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-hector-gazebo-plugins//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
